> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Execution Completed



## OpenAPI

````yaml openapi.json post /api/executions/{execution_uuid}/complete
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/executions/{execution_uuid}/complete:
    post:
      tags:
        - executions
      summary: Mark Execution Completed
      operationId: mark_execution_completed_api_executions__execution_uuid__complete_post
      parameters:
        - name: execution_uuid
          in: path
          required: true
          schema:
            type: string
            title: Execution Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecutionCompletePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Mark Execution Completed Api Executions  Execution
                  Uuid  Complete Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExecutionCompletePayload:
      properties:
        status:
          type: string
          enum:
            - completed
            - failed
          title: Status
        outputs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Outputs
        nSteps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Nsteps
        nAgentActions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Nagentactions
        nScreenshots:
          anyOf:
            - type: integer
            - type: 'null'
          title: Nscreenshots
        outputUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Outputurl
        finishedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finishedat
      type: object
      required:
        - status
      title: ExecutionCompletePayload
      description: Payload for marking an execution as complete/failed.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````